MCP is live.Set upAsk the community
OmniDimension
WhatsApp

List campaigns

Your WhatsApp campaigns, oldest first. Filter by status or by number.

Set up WhatsApp first. Connect a WhatsApp number in the dashboard or with Connect numbers. Included on every paid plan. See plans.

GET/whatsapp/campaigns
Query parameters
statusstring · enum

Show only campaigns in this state.

phone_number_idinteger

Show only campaigns on this number.

limitinteger

Rows per page.

cursorstring

The next_cursor from the previous page.

curl -X GET 'https://backend.omnidim.io/api/v1/whatsapp/campaigns?limit=20' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
synthetic
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "status": "draft",
      "pause_reason": "human",
      "campaign_mode": "broadcast",
      "send_mode": "review",
      "data_source": "csv",
      "is_dynamic": false,
      "phone_number_id": 0,
      "template": {
        "id": 0,
        "name": "string"
      },
      "agent_id": 0,
      "variable_mapping": "string",
      "counts": {
        "total": 0,
        "sent": 0,
        "delivered": 0,
        "read": 0,
        "replied": 0,
        "failed": 0,
        "skipped": 0,
        "opted_out": 0
      },
      "receipts_reported": false,
      "delivery_rate": 0,
      "read_rate": 0,
      "reply_rate": 0,
      "spend": {
        "amount": 0,
        "currency": "USD"
      },
      "created_at": "string"
    }
  ],
  "has_more": false,
  "next_cursor": "string"
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Query Parameters

status?string

Show only campaigns in this state.

Value in"draft""scheduled""in_progress""paused""completed""failed""cancelled"
phone_number_id?integer

Show only campaigns on this number.

limit?integer

Rows per page.

Range1 <= value <= 100
Default20
cursor?string

The next_cursor from the previous page.

Response body

application/json

Response Body

One page of campaigns.

application/json
data?
has_more?boolean
next_cursor?string